Skip to main content
POST
/
v3
/
redemptions
/
{redemption}
/
reversal
Add Redemption Reversal
curl --request POST \
  --url https://api.{tenant}.getomneo.com/api/v3/redemptions/{redemption}/reversal
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/redemptions/{redemption}/reversal"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.{tenant}.getomneo.com/api/v3/redemptions/{redemption}/reversal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "profile_id": "<string>",
    "total_localised": "<string>",
    "total": "<string>",
    "location_id": "<string>",
    "balances": {
      "reward_balance": "<string>",
      "credit_balance": "<string>",
      "point_balance": "<string>",
      "point_balance_dollars": "<string>",
      "benefit_balance": "<string>",
      "combined_balance_dollars": "<string>",
      "localised": {
        "reward_balance": "<string>",
        "point_balance_dollars": "<string>",
        "combined_balance_dollars": "<string>"
      },
      "currency": {
        "id": 123,
        "from": "<string>",
        "to": "<string>",
        "rate": 123,
        "is_system": true,
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    },
    "meta": "<string>",
    "transaction_external_id": "<string>",
    "transaction_receipt_ref": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "location": {
      "id": "<string>",
      "type": "<string>",
      "name": "<string>",
      "description": "<string>",
      "phone": "<string>",
      "email": "<string>",
      "external_id": "<string>",
      "is_published": "<string>",
      "is_permanently_closed": "<string>"
    },
    "currency": {
      "id": 123,
      "from": "<string>",
      "to": "<string>",
      "rate": 123,
      "is_system": true,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Path Parameters

redemption
integer
required

The redemption ID

Response

Return the redemption.

SuccessfulRedemption

data
SuccessfulRedemption · object
required